<template>
    <!-- Error -->
    <div class="w-100 d-flex justify-content-center position-absolute top-0" v-if="error" @mouseover="closeAlert">
        <div class="alert alert-danger alert-dismissible fade show" role="alert">
            <i class="bi bi-exclamation-triangle-fill"></i> {{ message }}
            <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
        </div>
    </div>

    <!-- Success -->
    <div class="w-100 d-flex justify-content-center position-absolute top-0" v-if="!error" @mouseover="closeAlert">
        <div class="alert alert-success alert-dismissible fade show" role="alert">
            <i class="bi bi-check-circle-fill"></i> {{ message }}
        </div>
    </div>
</template>

<script>
export default {
    name: "Alert",
    props: {
        message: String,
        error: Boolean
    },
    methods: {
        closeAlert() {
            this.$store.commit('closeAlert')
        }
    }
}
</script>

<style scoped>
.alert {
    width: 500px;
    margin: 8px;
}

.btn-close {
    width: 0.5em;
}
</style>